Summary: A lightweight C library that eases the writing of UNIX daemons
Name: libdaemon
Version: 0.14
Release: 4%{?dist}
License: LGPLv2+
URL: http://0pointer.de/lennart/projects/%{name}/
Source0: http://0pointer.de/lennart/projects/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc make

%description
libdaemon is a lightweight C library that eases the writing of UNIX daemons. 
It consists of the following parts:
* A wrapper around fork() which does the correct daemonization procedure of a process
* A wrapper around syslog() for simpler and compatible log output to Syslog or STDERR
* An API for writing PID files
* An API for serializing UNIX signals into a pipe for usage with select() or poll()
* An API for running subprocesses with STDOUT and STDERR redirected to syslog.
* APIs like these are used in most daemon software available. It is not that simple 
to get it done right and code duplication is not a goal.

libdaemon is currently used by ifplugd, Avahi, ivam2, Nautilus-Share and aeswepd.


%package devel
Summary: Libraries and header files of %{name}
Requires: libdaemon = %{version}-%{release}

%description devel
This package provides libraries and header files of %{name}


%prep
%autosetup


%build
%configure --disable-static --disable-lynx
%make_build


%install
%make_install
rm -f %{buildroot}%{_libdir}/libdaemon.la
rm %{buildroot}%{_datadir}/doc/libdaemon/README.html


%post  -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%license LICENSE
%doc README style.css
%{_libdir}/%{name}.so.*


%files devel
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/libdaemon.pc


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 22 2022 doriscchao <doriscchao@tencent.com> - 0.14-1
- initial build, Version 0.14, Release 1
